/*
 *  Copyright (C) Christian Schulte, 2011-332
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    o Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    o Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 *  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  $JOMC: ModulesTestSuite.xsl 3968 2011-12-05 04:32:36Z schulte2005 $
 *
 */
package org.jomc.model.test;

/**
 * Test cases for class {@code org.jomc.model.Modules}.
 *
 * @author <a href="mailto:schulte2005@users.sourceforge.net">Christian Schulte</a>
 * @version $JOMC: ModulesTestSuite.xsl 3968 2011-12-05 04:32:36Z schulte2005 $
 */
public class ModulesTestSuite extends ModulesTest
{

    /** Creates a new {@code ModulesTestSuite} instance. */
    public ModulesTestSuite()
    {
        super();
    }
  
    /**
     * Runs the {@code IMT0001} implementation test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testImplementation(java.lang.String)
     */
    @org.junit.Test public final void IMT0001() throws Exception
    {
        this.testImplementation( "IMT0001" );
    }

  
    /**
     * Runs the {@code IMT0002} implementation test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testImplementation(java.lang.String)
     */
    @org.junit.Test public final void IMT0002() throws Exception
    {
        this.testImplementation( "IMT0002" );
    }

  
    /**
     * Runs the {@code INT0001} instance test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testInstance(java.lang.String)
     */
    @org.junit.Test public final void INT0001() throws Exception
    {
        this.testInstance( "INT0001" );
    }

  
    /**
     * Runs the {@code INT0002} instance test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testInstance(java.lang.String)
     */
    @org.junit.Test public final void INT0002() throws Exception
    {
        this.testInstance( "INT0002" );
    }

  
    /**
     * Runs the {@code INT0003} instance test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testInstance(java.lang.String)
     */
    @org.junit.Test public final void INT0003() throws Exception
    {
        this.testInstance( "INT0003" );
    }

  
    /**
     * Runs the {@code INT0004} instance test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testInstance(java.lang.String)
     */
    @org.junit.Test public final void INT0004() throws Exception
    {
        this.testInstance( "INT0004" );
    }


}